:root {
  --black: #000000;
  --white: #FFFFFF;
  --gray: #858585;
  --white-gray: #E2E2E2;

  --acentos: "Inter", sans-serif;
  --titulos: "Elza Narrow", sans-serif;
  --texto: "Proxima Nova", sans-serif;
  --hispanica: "Oswald", sans-serif;
}

.header-contacto{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 150px 0px 50px 0px;
    gap: 10px;
}

.container-contacto {
    display: flex;
    justify-content: center;
    align-items: center;
}
.container-background-contacto{
    background-color: var(--black);
    padding: 30px;
    margin: 3%;
    border-radius: 10px;
    max-width: 450px;
    width: 450px;

}

.container-contacto-form{
    background-color: var(--black);
    padding: 40px;
    border: var(--white-gray) 1px solid;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    color: var(--white);
    text-align: center;
    width: 100%;
}

.container-contacto h3{
    font-family: var(--titulos);
    font-size: 3rem;
    letter-spacing: 1px;
    font-weight: 100;
    line-height: 4rem;
}

.bottom-title-contacto{
    display: flex;
    flex-direction: row;
    gap: 20px;
    justify-content: center;
    align-items: center;
}

.container-contacto{
    font-family: var(--texto);
    font-size: 1.2rem;
}

.contacto-square{
    width: 5px;
    height: 5px;
    background-color: var(--white);
}

.container-contacto form{
    display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    text-align: center;
}

.form-row {
    display: flex;
    flex-direction: column;       
    gap: 10px;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-wrap: wrap;       
    margin: 20px 0px 10px 0px;   
}

.form-row input {
    flex: 1;                   
    min-width: 150px;          
    max-width: 300px;
    border: var(--white-gray) 1px solid;
    padding: 3px;  
    color: var(--white);  
         
}

.form-row-full textarea {
    width: 100%;               
    height: 120px;
    min-width: 150px;
    max-width: 300px;
    border: var(--white-gray) 1px solid;
    background-color: var(--black);
    padding: 6px;
    color: var(--white); 
    
}

.form-row input:hover::placeholder,
.form-row-full textarea:hover::placeholder,
.form-row input:hover,
.form-row-full textarea:hover{
    color: var(--white);

}

.form-row input:focus,
.form-row-full textarea:focus{
    background-color: #272727;
    color: var(--white);
    transition: background-color 0.3s ease;
}

.form-row input:focus::placeholder,
.form-row-full textarea:focus::placeholder{
    color: var(--white);
}

.submit-button {
  background-color: var(--white);
  color: var(--black);
  padding: 3px 9px;
  border-radius: 1px;
  font-size: 1.3rem;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.5s ease;
  font-family: var(--texto);
  margin-top: 15px;
  align-self: center;
  width: fit-content;      
}

.submit-button:hover {
  background-color: var(--gray);
  color: var(--white);
}


.container-maps iframe{
    width: 100%;
    border-radius: 15px;
    height: 100vh;
    margin: 0% 3%;
    max-width: 600px;
}

.container-maps {
    display: flex;
    justify-content: center;
    align-items: center;
}


.footer-contacto{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap:15px;
    margin: 40px;
}

.footer-contacto p {
    line-height: 1.1rem;
    font-size: 1rem;
    font-family: var(--titulos);
    font-weight: 600;
}

.footer-contacto h3{
    font-weight: bold;
}

.container-direccion{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 50px 0px 0px 0px;
}

.container-direccion p{
    font-size: 1.4rem;
    text-align: center;
    line-height: 1.8rem;
    font-family: var(--texto);
    font-weight: bold;
}

.form-row-full textarea::placeholder{
    font-family: var(--texto);
    font-size: 1.2rem;

}